Skip to main content
Resource Center/Elastic Bare Metal Management(Plus)

AddBareMetal2Gateway

AddBareMetal2Gateway

POST/zstack/v1/baremetal2/gateways

Operation ID

AddBareMetal2Gateway

Since

4.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • username
      StringRequired

      The username of the gateway.

    • password
      StringRequired

      The password of the gateway.

    • sshPort
      int

      Optional. The SSH port of the gateway.

    • name
      StringRequired

      The name of the gateway.

    • description
      String

      Optional. The detailed description of the gateway.

    • managementIp
      StringRequired

      The management network IPv4 address, IPv6 address, or domain name.

    • clusterUuid
      StringRequired

      The cluster UUID.

    • resourceUuid
      String

      Optional. The UUID of the gateway.

    • tagUuids
      List

      Optional. The tag UUIDs.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    BareMetal2ChassisOfferingInventoryRequired

    See inventory.

    • zoneUuid
      StringRequired

      The zone UUID.

    • name
      StringRequired

      The name of the gateway.

    • uuid
      StringRequired

      The UUID of the gateway.

    • clusterUuid
      StringRequired

      The cluster UUID.

    • description
      StringRequired

      The detailed description of the gateway.

    • managementIp
      StringRequired

      The management IP.

    • hypervisorType
      StringRequired

      The hypervisor type.

    • state
      StringRequired

      The resource state.

    • status
      StringRequired

      The resource status.

    • totalCpuCapacity
      LongRequired

      The total CPU capacity.

    • availableCpuCapacity
      LongRequired

      The available CPU capacity.

    • totalMemoryCapacity
      LongRequired

      The total memory capacity.

    • availableMemoryCapacity
      LongRequired

      The available memory capacity.

    • createDate
      TimestampRequired

      The time when the gateway was added.

    • lastOpDate
      TimestampRequired

      The time when the gateway was last modified.